Package org.apache.synapse.commons.logger

## Class CorrelationMDCAwareLogger

- java.lang.Object
- - org.apache.synapse.commons.logger.CorrelationMDCAwareLogger

- All Implemented Interfaces:
    `org.apache.commons.logging.Log`
  Direct Known Subclasses:
    `CorrelationMDCImmediateLogger`

      public class CorrelationMDCAwareLogger
      extends Object
      implements org.apache.commons.logging.Log

  Responsible for providing wrapper implementation for apache.commons.logging.Log interface. The logging wrapper methods will put the correlation id to the MDC prior to the logging.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CorrelationMDCAwareLogger​(String correlationId, org.apache.commons.logging.Log log)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `debug​(Object o)` |
    `void` | `debug​(Object o, Throwable throwable)` |
    `void` | `error​(Object o)` |
    `void` | `error​(Object o, Throwable throwable)` |
    `void` | `fatal​(Object o)` |
    `void` | `fatal​(Object o, Throwable throwable)` |
    `void` | `info​(Object o)` |
    `void` | `info​(Object o, Throwable throwable)` |
    `boolean` | `isDebugEnabled()` |
    `boolean` | `isErrorEnabled()` |
    `boolean` | `isFatalEnabled()` |
    `boolean` | `isInfoEnabled()` |
    `boolean` | `isTraceEnabled()` |
    `boolean` | `isWarnEnabled()` |
    `void` | `trace​(Object o)` |
    `void` | `trace​(Object o, Throwable throwable)` |
    `void` | `warn​(Object o)` |
    `void` | `warn​(Object o, Throwable throwable)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CorrelationMDCAwareLogger

          public CorrelationMDCAwareLogger​(String correlationId,
                                           org.apache.commons.logging.Log log)

  - ### Method Detail

    - #### trace

          public void trace​(Object o)

      Specified by:
        `trace` in interface `org.apache.commons.logging.Log`

    - #### trace

          public void trace​(Object o,
                            Throwable throwable)

      Specified by:
        `trace` in interface `org.apache.commons.logging.Log`

    - #### debug

          public void debug​(Object o)

      Specified by:
        `debug` in interface `org.apache.commons.logging.Log`

    - #### debug

          public void debug​(Object o,
                            Throwable throwable)

      Specified by:
        `debug` in interface `org.apache.commons.logging.Log`

    - #### info

          public void info​(Object o)

      Specified by:
        `info` in interface `org.apache.commons.logging.Log`

    - #### info

          public void info​(Object o,
                           Throwable throwable)

      Specified by:
        `info` in interface `org.apache.commons.logging.Log`

    - #### warn

          public void warn​(Object o)

      Specified by:
        `warn` in interface `org.apache.commons.logging.Log`

    - #### warn

          public void warn​(Object o,
                           Throwable throwable)

      Specified by:
        `warn` in interface `org.apache.commons.logging.Log`

    - #### error

          public void error​(Object o)

      Specified by:
        `error` in interface `org.apache.commons.logging.Log`

    - #### error

          public void error​(Object o,
                            Throwable throwable)

      Specified by:
        `error` in interface `org.apache.commons.logging.Log`

    - #### fatal

          public void fatal​(Object o)

      Specified by:
        `fatal` in interface `org.apache.commons.logging.Log`

    - #### fatal

          public void fatal​(Object o,
                            Throwable throwable)

      Specified by:
        `fatal` in interface `org.apache.commons.logging.Log`

    - #### isDebugEnabled

          public boolean isDebugEnabled()

      Specified by:
        `isDebugEnabled` in interface `org.apache.commons.logging.Log`

    - #### isErrorEnabled

          public boolean isErrorEnabled()

      Specified by:
        `isErrorEnabled` in interface `org.apache.commons.logging.Log`

    - #### isFatalEnabled

          public boolean isFatalEnabled()

      Specified by:
        `isFatalEnabled` in interface `org.apache.commons.logging.Log`

    - #### isInfoEnabled

          public boolean isInfoEnabled()

      Specified by:
        `isInfoEnabled` in interface `org.apache.commons.logging.Log`

    - #### isTraceEnabled

          public boolean isTraceEnabled()

      Specified by:
        `isTraceEnabled` in interface `org.apache.commons.logging.Log`

    - #### isWarnEnabled

          public boolean isWarnEnabled()

      Specified by:
        `isWarnEnabled` in interface `org.apache.commons.logging.Log`